# GearmanJob::sendException

(PECL gearman >= 0.6.0)

GearmanJob::sendException — Envoie une exception pour un travail en cours d'exécution

### Description

public GearmanJob::sendException(string `$exception`): bool

Envoie l'exception fournie lors de l'exécution de ce travail.

### Liste de paramètres

`exception`

  Une description d'exception.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient.

### Voir aussi

- GearmanJob::setReturn() - Définit une valeur de retour
- GearmanJob::sendStatus() - Envoie un statut
- GearmanJob::sendWarning() - Envoie une alerte